#!/bin/csh

set infn = 200610EastSea-maxHsig-eastSea.dat
set region = 108.54/171.474/20.76/58.066
set proj = Q16
#set int = "0.1216=/0.1216="
set int = "389+/231+"
set bound = "5/5::WeSn"
set psfn = $infn:r.ps

gmtset COLOR_BACKGROUND 255/255/255
gmtset BASEMAP_TYPE plain

makecpt -Crainbow -T0/9.0/0.25  > hsig.cpt

#blockmean $infn -R$region -I$int > tmp.dat
xyz2grd $infn -G$infn:r.grd -R$region -I$int -N-999 -V 
grdlandmask -Gland_mask.grd -R$region -I$int -N1/0 -V
grdmath $infn:r.grd land_mask.grd MUL = $infn:r.lmgrd

# color image
grdimage $infn:r.grd -R$region -Chsig.cpt -J$proj  -B$bound -P -V -K > $psfn
grdcontour $infn:r.grd -R -J -B -L0/18.0 -C1 -A1+kblack+s12 -Gl90/6/90/22 -K -V -P -W3.0/0/0/0 -O >> $psfn
pscoast -R -J -W3/0/0/0 -Ggray -Dh -N1 -P -V -K -O >> $psfn
psscale -Chsig.cpt -D7.5/-1.0/13/0.3h -B1.0:Hsig:/:m: -E -P -K -O >> $psfn

# gray contour
grdcontour $infn:r.grd -R$region -J$proj -B$bound -L1/18.0 -C1 -A1+kblack+s12 -Gl90/6/90/22 -K -V -P -W3.0/0/0/0 > $psfn.ps
pscoast -R -J -W3/0/0/0 -Ggray -Dh -N1 -P -V -K -O >> $psfn.ps

rm -fr tmp.dat land_mask.grd $infn:r.grd $infn:r.lmgrd
ggv *.ps &
